package com.jpsoft.shinestar.modules.base.dao;

import com.jpsoft.shinestar.modules.base.entity.GoodsType;
import com.jpsoft.shinestar.modules.common.dto.Sort;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * @author 墨鱼_mo
 * @date 2020-8-14 15:01
 */
@Repository
public interface GoodsTypeDAO {

    int insert(GoodsType entity);
    int update(GoodsType entity);
    int exist(String id);
    GoodsType get(String id);
    int delete(String id);
    List<GoodsType> list();
    List<GoodsType> search(Map<String, Object> searchParams, List<Sort> sortList);

}
